function x = ProjectOnConvexSet( x, AuxData )

    %simple function, projecting the current search variable x onto the
    %convex set specified by the gradient magnitude constraint Gmax

    lb = -1 * ones(size(x)) * AuxData.Gmax;
    ub = +1 * ones(size(x)) * AuxData.Gmax;

    x( x < lb ) = lb( x < lb );
 	x( x > ub ) = ub( x > ub );

end

